<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class CheckEventStatus
{
    /**
     * Handle an incoming request.
     *
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (array_search($request->event->status, $request->event->viewableStatuses) === false) {
            abort(Response::HTTP_UNAUTHORIZED);
        }

        return $next($request);
    }
}
